Package org.eclipse.mat.ui.internal.query.arguments

## Class TableEditorFactory

- java.lang.Object
- - org.eclipse.mat.ui.internal.query.arguments.TableEditorFactory

    public class TableEditorFactory
    extends Object

### Constructor Summary

Constructors
`TableEditorFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ArgumentEditor` `createTableEditor​(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableEditorFactory

    public TableEditorFactory()

### Method Detail

#### createTableEditor

    public static ArgumentEditor createTableEditor​(Composite parent,
                                                   IQueryContext context,
                                                   ArgumentDescriptor descriptor,
                                                   TableItem item)